Loading...
Searching...
No Matches
barrier.hpp File Reference

defines the barrier C++ class, to synchronize several threads More...

`#include "config.h"`
`#include <pthread.h>`
`#include "condition.hpp"`

Go to the source code of this file.

## Classes

class | libthreadar::barrier
| the class barrier allows several threads to synchronize between them More...

## Namespaces

namespace | libthreadar
| This is the only namespace used in libthreadar and all symbols provided by libthreadar are member of this namespace.

## Detailed Description

defines the barrier C++ class, to synchronize several threads

Definition in file barrier.hpp.